import React from "react";
import "./App.css";
import { BrowserRouter, Route, Switch } from "react-router-dom";

import Main from "./components/Main";
import Login from "./components/Login";
import Register from "./components/Register";
import Gallery from "./components/Gallery";
import Error from "./components/Error";
import Convert from "./components/Convert";
import Navigation from "./components/Navigation";

function App() {
  return (
    <div className="App">
      <BrowserRouter>
        <div>
          <Navigation />
          <Switch>
            <Route path="/" component={Main} exact />
            <Route path="/login" component={Login} />
            <Route path="/register" component={Register} />
            <Route path="/gallery" component={Gallery} />
            <Route path="/convert" component={Convert} />
            <Route component={Error} />
          </Switch>
        </div>
      </BrowserRouter>
    </div>
  );
}

export default App;
